## org.eclipse.amp.axf.space
Interface IGraphProvider

All Known Implementing Classes:
  AscapeModelProvider

    public interface IGraphProvider

Method Summary
`java.util.HashMap` `getAdjacencyMap(java.lang.Object graph)`
`java.util.List` `getNeighborsFor(java.lang.Object graph, java.lang.Object source)`
`boolean` `isGraph(java.lang.Object graph)`

Method Detail

### getAdjacencyMap

    java.util.HashMap getAdjacencyMap(java.lang.Object graph)

### getNeighborsFor

    java.util.List getNeighborsFor(java.lang.Object graph,
                                   java.lang.Object source)

### isGraph

    boolean isGraph(java.lang.Object graph)